<!DOCTYPE html>
<html>
<body>

<h2>JavaScript Promise</h2>

<p>Wait 3 seconds (3000 milliseconds) for this page to change.</p>

<h1 id="demo"></h1>

<script>

function myCallbackFunction(myResolve, myReject) {
  setTimeout(function(){ myReject("Error"); }, 3000);
}

let myPromise = new Promise(myCallbackFunction);

function myResolveFunction(value) {
  document.getElementById("demo").style.color = "green";
  document.getElementById("demo").innerHTML = value;
}

function myRejectFunction(value) {
  document.getElementById("demo").style.color = "red";
  document.getElementById("demo").innerHTML = value;
}

myPromise.then(myResolveFunction, myRejectFunction);

myResolveFunction("Testing ...."); 

</script>

</body>
</html>
